SystemOrganization addCategory: #ConfigurationOfStripe!

Object subclass: #ConfigurationOfStripe
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfStripe'!

!ConfigurationOfStripe class methodsFor: 'development support' stamp: 'PaulDeBruicker 10/25/2011 17:32'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfStripe class methodsFor: 'private' stamp: 'PaulDeBruicker 10/25/2011 17:32'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfStripe class methodsFor: 'private' stamp: 'PaulDeBruicker 10/25/2011 17:32'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfStripe class methodsFor: 'private' stamp: 'PaulDeBruicker 10/25/2011 17:32'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfStripe class methodsFor: 'metacello tool support' stamp: 'PaulDeBruicker 10/25/2011 17:32'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfStripe class methodsFor: 'loading' stamp: 'PaulDeBruicker 10/25/2011 17:32'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfStripe class methodsFor: 'loading' stamp: 'PaulDeBruicker 10/25/2011 17:32'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfStripe class methodsFor: 'loading' stamp: 'PaulDeBruicker 10/25/2011 17:32'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfStripe class methodsFor: 'accessing' stamp: 'PaulDeBruicker 10/25/2011 17:32'!
project

	^self new project! !

!ConfigurationOfStripe class methodsFor: 'development support' stamp: 'PaulDeBruicker 10/25/2011 17:32'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfStripe methodsFor: 'baselines' stamp: 'PaulDeBruicker 10/25/2011 17:36'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://www.squeaksource.com/Stripe'.
		spec 
			project: 'ZincHTTPComponents' with: [
				spec
					className: 'ConfigurationOfZincHTTPComponents';
					versionString: #'stable';
					repository: 'http://www.squeaksource.com/ZincHTTPComponents' ];
			project: 'Seaside30' with: [
				spec
					className: 'ConfigurationOfSeaside30';
					versionString: #'stable';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].
		spec 
			package: 'Zodiac-Core' with:[spec repository: 'http://www.squeaksource.com/Zodiac'];
			package: 'Zinc-Zodiac' with:[spec repository: 'http://www.squeaksource.com/ZincHTTPComponents' ];
			package: 'Stripe' with: [
				spec requires: #('Seaside30' 'Zodiac-Core' 'ZincHTTPComponents'  'Zinc-Zodiac' ). ].
		spec 
			group: 'default' with: #('Core' );
			group: 'Core' with: #('Stripe' ). ].
! !

!ConfigurationOfStripe methodsFor: 'symbolic versions' stamp: 'PaulDeBruicker 10/25/2011 17:38'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: #'notDefined'.
! !

!ConfigurationOfStripe methodsFor: 'versions' stamp: 'PaulDeBruicker 10/25/2011 19:33'!
initializeEnvironment
	ZnNetworkingUtils default: ZnZodiacNetworkingUtils new. ! !

!ConfigurationOfStripe methodsFor: 'accessing' stamp: 'PaulDeBruicker 10/25/2011 17:32'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfStripe methodsFor: 'symbolic versions' stamp: 'PaulDeBruicker 10/25/2011 17:38'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfStripe methodsFor: 'versions' stamp: 'PaulDeBruicker 10/25/2011 21:38'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'initial version'.
		spec author: 'PaulDeBruicker'.
		spec postLoadDoIt: #initializeEnvironment.
		spec timestamp: '10/25/2011 17:36'.
		spec 
			project: 'ZincHTTPComponents' with: #'stable';
			project: 'Seaside30' with: #'stable'.
		spec 
			package: 'Zodiac-Core' with: 'Zodiac-Core-SvenVanCaekenberghe.11';
			package: 'Zinc-Zodiac' with: 'Zinc-Zodiac-SvenVanCaekenberghe.8';
			package: 'Stripe' with: 'Stripe-PaulDeBruicker.3'. ].
! !
